SipmaPK4000_Bales = {};
addModEventListener(SipmaPK4000_Bales);
local baleregpath = g_currentModDirectory;
function SipmaPK4000_Bales.prerequisitesPresent(specializations)
    return true;
end;

function SipmaPK4000_Bales:loadMap(name)
	BaleUtil.registerBaleType(("Belki/sloma.i3d"), "wheat_windrow", 0.5, 0.5, 0.9, nil, false)
	BaleUtil.registerBaleType(("Belki/sloma.i3d"), "barley_windrow", 0.5, 0.5, 0.9, nil, false)
	BaleUtil.registerBaleType(("Belki/siano.i3d"), "dryGrass_windrow", 0.5, 0.5, 0.9, nil, false)
	BaleUtil.registerBaleType(("Belki/trawa.i3d"), "grass_windrow", 0.5, 0.5, 0.9, nil, false)
	print("--- SipmaPK4000 - bales registered")
end;

function SipmaPK4000_Bales:deleteMap()
end

function SipmaPK4000_Bales:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SipmaPK4000_Bales:keyEvent(unicode, sym, modifier, isDown)
end;

function SipmaPK4000_Bales:update(dt)
end

function SipmaPK4000_Bales:draw()
end;
